// Make sure the charset is set appropriately
@charset 'utf-8';

// Load config & mixins
@import './scss/_configuration/settings';
@import './frontend_libraries/foundation-sites/scss/foundation';
@import './scss/_mixins/mixins';

// Fix multiselect
button.ui-multiselect{
  // width:95% !important; Why 95%?
  width:100% !important;
  position:relative;
  white-space:nowrap;
  display:flex;
  flex-direction: row-reverse;
  align-items:middle;
  cursor:pointer;
  &.ui-state-active{
    border-color:$primary-color;
  }
  .ui-icon{
    position:static;
    background:none;
    height:0;
    width:0;
    margin-left:.5em;
    text-indent:0;
    margin-top:0;
    border:0 none;
    font-size:$icon-size-sm;
    width:$icon-size-sm;
    height:$icon-size-md;
    &::after{
      font-family:$iconfont;
      @include get-ico-only('arrow-thin-down');
    }
  }
}
.ui-multiselect-menu{
  width:auto;
  // display:none; prevents animation
  display:block !important;
  max-height:0;
  height:auto !important;
  padding-top:0;
  padding-bottom:0;
  overflow:hidden;
  min-width:280px;
  border:0 none;
  transition-property: max-height, padding;
  transition-duration: 350ms;
  &[style*="top"]{
    // jquery set some values on first opening.. except display:block ... so we need some kinda hack.
    padding-top:$thin-grid;
    padding-bottom:$thin-grid;
    max-height:500px;
    background:$white;
    top:100% !important;
    left:auto !important;
    right:0 !important;
    z-index:999;
  }
  &[style*="none"]{
    max-height:0 !important;
    padding-top:0 !important;
    padding-bottom:0 !important;
  }
}
.ui-multiselect-checkboxes{
  margin:10px 0 0;
  padding:0;
  overflow:auto;
  label{
    display:flex;
    cursor:pointer;
    line-height:1.1em;
    border-bottom:1px solid $grey-light;
    padding:8px 4px;
    &:hover{
      color:$white;
      border-color:$black;
      background-color:$black;
    }
    input{
      margin-top:2px;
      margin-right:5px !important;
      // outline:2px solid $grey-light;
    }
  }
  li{
    &:last-child{
      label{
        border-bottom:0 none;
      }
    }
  }
}
.ui-multiselect-header{
  &::before,
  &::after{
    display:none;
  }
  .ui-helper-reset{
    list-style:none;
    padding:0;
    margin:0;
    display: flex;
    justify-content:space-between;
    a{
      @include button(false, $black, $dark-gray, $white);
      // font-size: map-get($button-sizes, tiny);
      margin-bottom:.25em;
    }
    .ui-multiselect-close{
      display:none;
    }
  }
}
